New Zuluru3 installation

Questions related to installing Zuluru 3

New Zuluru3 installation

Postby natarajanram » Fri Oct 12, 2018 7:54 am

I am trying to install Zuluru 3 in windows 10. I have installed cakephp 3.5.15 and that comes up fine. I downloaded Zuluru3 and unzipped it under: c:/Apache/../htdocs/cakephp3-5-15/Zuluru3. I changed Document root to:
DocumentRoot "C:/Apache/../htdocs/cakephp-3-5-15/Zuluru3-master/webroot"

My php version is 7.2.
When trying: http://localhost/index.php/installer/install, i get the following error:
Warning: require(C:\Apache\..\htdocs\cakephp-3-5-15\Zuluru3-master\vendor\autoload.php): failed to open stream: No such file or directory in C:\Apache\..\htdocs\cakephp-3-5-15\Zuluru3-master\config\bootstrap.php on line 38

Fatal error: require(): Failed opening required 'C:\Apache\..\htdocs\cakephp-3-5-15\Zuluru3-master\vendor\autoload.php' (include_path='.;C:\php\pear') in C:\Apache\..\htdocs\cakephp-3-5-15\Zuluru3-master\config\bootstrap.php on line 38

Any suggestions on how to fix this?

thanks
Ram
natarajanram
 
Posts: 12
Joined: Tue Jul 03, 2018 1:22 am

Re: New Zuluru3 installation

Postby GregS » Mon Oct 22, 2018 11:38 am

Apologies for not responding earlier. Seems I didn't have post notifications enabled for this forum. :oops:

Seems like you might have missed the "composer install" step? That is vital, it installs all the many dependencies and sets up autoloading for those third-party libraries.

Also note that Zuluru hasn't been tested with PHP 7.x, so I can't guarantee that this will work. It did cause problems for an earlier poster.
GregS
Site Admin
 
Posts: 208
Joined: Thu Jan 06, 2011 4:58 pm

Re: New Zuluru3 installation

Postby natarajanram » Fri Nov 02, 2018 7:29 am

Hi,
Thanks for pointing out that step. I went back to php 5.6.30 and installed cakephp using composer, checked to make sure it was able to connect to database. Then copied Zuluru3-master under cakephp folder (i.e. html/cakeapp/zuluru), ran the composer install step as you mentioned - it went through fine. I have set my DocumentRoot to html/cakeapp/zuluru/webroot and tried: http://localhost/installer/install - the configuration tests were green. The database connection also was green and when i clicked Create Schema , i got this error:

Database Import Failed: Plugin Migrations could not be found.

The zuluru error logs show this:
Error: Fatal Error (256): [Cake\Database\Exception\MissingDriverException] Database driver Cake\Database\Driver\ could not be found.
#0 /cakeapp/zuluru/vendor/cakephp/cakephp/src/Database/Connection.php(120): Cake\Database\Connection->setDriver('Cake\\Database\\D...', Array)
#1 /cakeapp/zuluru/vendor/cakephp/cakephp/src/Datasource/ConnectionRegistry.php(89): Cake\Database\Connection->__construct(Array)
#2 /cakeapp/zuluru/vendor/cakephp/cakephp/src/Core/ObjectRegistry.php(97): Cake\Datasource\ConnectionRegistry->_create('Cake\\Database\\C...', 'default', Array)
#3 /cakeapp/zuluru/vendor/cakephp/cakephp/src/Datasource/ConnectionManager.php(205): Cake\Core\ObjectRegistry->load('default', Array)
#4 /cakeapp/zuluru/vendor/cakephp/cakephp/src/ORM/Locator/TableLocator.php(216): Cake\Datasource\ConnectionManager::get('default')
#5 in [/cakeapp/zuluru/vendor/cakephp/cakephp/src/Error/ErrorHandler.php, line 180]

Can you or someone please suggest what is wrong here? Are there some configurations that i need to set?

thanks
Ram
natarajanram
 
Posts: 12
Joined: Tue Jul 03, 2018 1:22 am

Re: New Zuluru3 installation

Postby GregS » Fri Nov 02, 2018 11:32 am

Did you get the latest 3.1.0 version? That was a bit rushed, unfortunately, to deal with an immediate need, and appears to have broken a couple of other things. If you are on 3.1.0, please try the 3.0.0 tagged version instead and let me know how it goes.
GregS
Site Admin
 
Posts: 208
Joined: Thu Jan 06, 2011 4:58 pm

Re: New Zuluru3 installation

Postby natarajanram » Fri Nov 02, 2018 1:36 pm

Hi,
Thanks for that information. I downloaded - Zuluru3-3.0.0.zip and placed the uncompressed files under cakephp folder - which is version 3-3-15. On running composer install from Zuluru3 folder, got this long dependency issue:
Problem 1
- Installation request for dereuromark/cakephp-ajax dev-master -> satisfiable by dereuromark/cakephp-ajax[dev-master].
- dereuromark/cakephp-ajax dev-master requires cakephp/cakephp ^3.6 -> satisfiable by cakephp/cakephp[3.6.0, 3.6.0-RC1, 3.6.0-RC2, 3.6.0-beta1, 3.6.0-beta2, 3.6.0-beta3, 3.6.1, 3.6.10, 3.6.11, 3.6.12, 3.6.2, 3.6.3, 3.6.4, 3.6.5, 3.6.6, 3.6.7, 3.6.8, 3.6.9, 3.7.0-RC1, 3.7.0-beta1] but these conflict with your requirements or minimum-stability.
Problem 2
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.0].
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.0-RC1].
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.0-beta].
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.0-beta2].
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.0-beta3].
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.1].
<snip>
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.15].
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.16].
<snip>
- Can only install one of: cakephp/cakephp[3.5.x-dev, 3.3.9].
- muffin/footprint dev-master requires cakephp/cakephp ^3.5 -> satisfiable by cakephp/cakephp[3.5.x-dev].
- Installation request for muffin/footprint dev-master -> satisfiable by muffin/footprint[dev-master].
- Installation request for cakephp/cakephp 3.3.* -> satisfiable by cakephp/cakephp[3.3.0, 3.3.0-RC1, 3.3.0-beta, 3.3.0-beta2, 3.3.0-beta3, 3.3.1, 3.3.10, 3.3.11, 3.3.12, 3.3.13, 3.3.14, 3.3.15, 3.3.16, 3.3.2, 3.3.3, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.3.8, 3.3.9].

I did not quite understand problems. Does Problem1 indicate that it requires cakephp version 3.6.x and Problem 2 requires cakephp version 3.3.x?

I downloaded cakephp 3.3.16 and tried the composer install step from within the Zuluru3-3.0.0 folder and still got the above errors.

Can you please let me know the versions of cakephp that would work with Zuluru3-3.0.0?

Thanks
Ram
natarajanram
 
Posts: 12
Joined: Tue Jul 03, 2018 1:22 am

Re: New Zuluru3 installation

Postby GregS » Fri Nov 02, 2018 2:30 pm

:(

The composer.lock file is supposed to avoid all these sorts of problems, by specifying which versions are known to work. Looks like something in there about one of the third-party plugins wasn't specific enough, and now they have upped their requirements.

I expect that version 3.1.1 should be ready within a week, resolving all of the 3.1.0 issues. If that timeline works for you, waiting for it is probably the path of least resistance. If not, I can dig into the commit history of that plugin and find a manual composer.lock update that you could make.
GregS
Site Admin
 
Posts: 208
Joined: Thu Jan 06, 2011 4:58 pm

Re: New Zuluru3 installation

Postby natarajanram » Mon Nov 05, 2018 9:39 am

Ok, please do let us know when the next version is available.
natarajanram
 
Posts: 12
Joined: Tue Jul 03, 2018 1:22 am

Re: New Zuluru3 installation

Postby natarajanram » Tue Nov 06, 2018 8:26 pm

Hi,
Just out of curiosity, i noticed the following errors in the logs:
Error: [Cake\Database\Exception] SQLSTATE[42S02]: Base table or view not found: 1146 Table 'zuluru3.settings' doesn't exist
Error: [Cake\Database\Exception] SQLSTATE[42S02]: Base table or view not found: 1146 Table 'zuluru3.roster_roles' doesn't exist

Even though i am trying a new install - does it think its trying to upgrade from the previous version? I checked the .env file to see if there was any flag to indicate new install versus upgrade, but did not find any.

Does the above give you a clue on what i am missing?

Thanks
Ram
natarajanram
 
Posts: 12
Joined: Tue Jul 03, 2018 1:22 am

Re: New Zuluru3 installation

Postby GregS » Fri Nov 16, 2018 3:04 am

Just wanted to let you know I haven't forgotten! I'm working away at it steadily, but it's turning out to be a bigger task than anticipated. Results should be worth it in terms of improved consistency in the UI, maintainability of the code, and overall test coverage, but it takes time to grind through a couple thousand edits. Very much hoping to wrap it up by the end of next week!
GregS
Site Admin
 
Posts: 208
Joined: Thu Jan 06, 2011 4:58 pm

Re: New Zuluru3 installation

Postby natarajanram » Sat Nov 17, 2018 7:34 am

Thanks appreciate your help. Please let us know once its available.
natarajanram
 
Posts: 12
Joined: Tue Jul 03, 2018 1:22 am


Return to Zuluru 3 Installation

Who is online

Users browsing this forum: No registered users and 1 guest

cron